Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.addon.pdf3d.PDF3DAnnot Class Reference

This class represents PDF 3D annotation. More...

Inheritance diagram for foxit.addon.pdf3d.PDF3DAnnot:

## Public Types
enum | PDF3DType { PDF3DType.e_3DTypeArtwork = 0, PDF3DType.e_3DTypeRichMedia = 1 }
| Enumeration for the 3D annot type. More...

## Public Member Functions
| PDF3DAnnot (PDF3DAnnot other)
| Constructor, with another 3d annot object. More...
PDF3DAnnot.PDF3DType | Get3DAnnotType ()
| Get the type of 3D annot. More...
PDF3DAnnotInstance | Get3DArtworkInstance ()
| Get the instance of 3D Artwork. More...
Annot | GetAnnot ()
| Get associated annotation. More...
int | GetAnnotIndex ()
| Get the annotation index corresponding to 3d annot. More...
PDF3DAnnotInstanceArray | GetRichMediaInstances ()
| Get the instance array of rich media. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents PDF 3D annotation.

## Member Enumeration Documentation

## ◆ PDF3DType

enum foxit.addon.pdf3d.PDF3DAnnot.PDF3DType
| strong

Enumeration for the 3D annot type.

Values of this enumeration should be used alone.

Enumerator
e_3DTypeArtwork | 3D Artwork.
e_3DTypeRichMedia | Rich Media .

## Constructor & Destructor Documentation

## ◆ PDF3DAnnot()

foxit.addon.pdf3d.PDF3DAnnot.PDF3DAnnot | ( | PDF3DAnnot | other | ) |
| inline

Constructor, with another 3d annot object.

Parameters

  [in] | other | Another 3d annot object.

## Member Function Documentation

## ◆ Get3DAnnotType()

PDF3DAnnot.PDF3DType foxit.addon.pdf3d.PDF3DAnnot.Get3DAnnotType | ( |  | ) |
| inline

Get the type of 3D annot.

Returns
  The type of 3D annot. Please refer to values starting from foxit.addon.pdf3d.PDF3DAnnot.PDF3DType.e_3DTypeArtwork and this will be one of these values.

## ◆ Get3DArtworkInstance()

PDF3DAnnotInstance foxit.addon.pdf3d.PDF3DAnnot.Get3DArtworkInstance | ( |  | ) |
| inline

Get the instance of 3D Artwork.

If the 3D annot type is not foxit.addon.pdf3d.PDF3DAnnot.PDF3DType.e_3DTypeArtwork , an empty object will be returned.

Returns
  An 3d instance object.

## ◆ GetAnnot()

Annot foxit.addon.pdf3d.PDF3DAnnot.GetAnnot | ( |  | ) |
| inline

Get associated annotation.

Returns
  An annotation object.

## ◆ GetAnnotIndex()

int foxit.addon.pdf3d.PDF3DAnnot.GetAnnotIndex | ( |  | ) |
| inline

Get the annotation index corresponding to 3d annot.

Returns
  The index of annotation.

## ◆ GetRichMediaInstances()

PDF3DAnnotInstanceArray foxit.addon.pdf3d.PDF3DAnnot.GetRichMediaInstances | ( |  | ) |
| inline

Get the instance array of rich media.

If the 3D annot type is not foxit.addon.pdf3d.PDF3DAnnot.PDF3DType.e_3DTypeRichMedia , an empty array will be returned.

Returns
  An 3d instance objects array.

## ◆ IsEmpty()

bool foxit.addon.pdf3d.PDF3DAnnot.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.